--- video_embed_field.handlers.inc
+++ video_embed_field.handlers.inc
@@ -195,7 +195,7 @@ function video_embed_field_handle_youtube($url, $settings) {
 
   // Construct the embed code.
   $settings['wmode'] = 'opaque';
-  $settings_str = urlencode(_video_embed_code_get_settings_str($settings));
+  $settings_str = _video_embed_code_get_settings_str($settings);
 
   $output['#markup'] = '<iframe class="' . check_plain($class) . '" width="' . check_plain($settings['width']) . '" height="' . check_plain($settings['height']) . '" src="//www.youtube.com/embed/' . $id . '?' . $settings_str . '" frameborder="0" allowfullscreen></iframe>';
 
